package it.integry.integrywmsnative.core.model;

import java.math.BigDecimal;
import java.util.List;

import it.integry.integrywmsnative.core.utility.UtilityString;

/**
 * Created by GiuseppeS on 06/03/2018.
 */

public class MtbAart extends EntityBase {

    private String codMart;
    private String descrizione;
    private String untMis;
    private String barCode;
    private BigDecimal pesoKg;
    private BigDecimal qtaCnf;
    private String codAliq;
    private String codScoArt;
    private String codTcolUi;
    private String codTcolUl;
    private String articoloComposto;
    private String esposizioneComp;
    private String descrizioneEstesa;
    private String codUltForn;
    private String dataUltCar;
    private BigDecimal valUltCar;
    private String codUltClie;
    private String dataUltScar;
    private BigDecimal valUltScar;
    private String tipoCodice;
    private String note;
    private String posizione;
    private BigDecimal colliPedana;
    private String untMis2;
    private BigDecimal rapConv2;
    private String flagInclListino;
    private String untMis3;
    private BigDecimal rapConv3;
    private String codMartStat;
    private String codMcon;
    private String codMgrp;
    private String codMsfa;
    private String codMsgr;
    private String codMstp;
    private String codMtip;
    private String descrizioneStat;
    private String flagStato;
    private BigDecimal cambioDiviCar;
    private BigDecimal cambioDiviScar;
    private Integer ggScadPartita;
    private BigDecimal volumeMc;
    private String flagEsponiPrz;
    private String dataUltVar;
    private BigDecimal percSfrido;
    private String codBarreImb;
    private String flagCalcPrz;
    private String esposizioneCompAcq;
    private String flagCalcPrzAcq;
    private String diacod;
    private String plu;
    private String partIvaProd;
    private String ragSocProd;
    private String flagRapConvVariabile;
    private String flagMovArtMag;
    private String flagTracciabilita;
    private BigDecimal taraKg;
    private BigDecimal colliStrato;
    private String flagQtaCnfFissa;
    private String flagColliPedanaFisso;
    private String codCconCosti;
    private String codCconRicavi;
    private String codDgrpArt;
    private String codDiviCar;
    private String codDiviScar;
    private String codEcrCat;
    private String codEcrMcat;
    private String codEcrRep;
    private String codEcrStipo;
    private String codEcrTipo;
    private String codGrpBolla;
    private String ingredienti;
    private String idArtEqui;
    private String descrCassa;
    private String codNcIntracee;
    private String marchio;
    private Integer sezione;
    private UntMisRifPesoEnum untMisRifPeso;
    
    private BigDecimal qtaEsistente;
    private BigDecimal qtaImpegnata;
    private BigDecimal numCnfEsistente;
    private BigDecimal numCnfImpegnata;

    private List<MtbUntMis> mtbUntMis;


    public enum UntMisRifPesoEnum {
        C,
        M;
    }



    public MtbAart() {
        this.type = "mtb_aart";
    }

    public boolean isFlagTracciabilitaBoolean() {
        return flagTracciabilita != null && flagTracciabilita.equalsIgnoreCase("S");
    }

    public boolean isFlagQtaCnfFissaBoolean() {
        return "S".equalsIgnoreCase(flagQtaCnfFissa);
    }




    public String getCodMart() {
        return codMart;
    }

    public MtbAart setCodMart(String codMart) {
        this.codMart = codMart;
        return this;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public MtbAart setDescrizione(String descrizione) {
        this.descrizione = descrizione;
        return this;
    }

    public String getUntMis() {
        return untMis;
    }

    public MtbAart setUntMis(String untMis) {
        this.untMis = untMis;
        return this;
    }

    public String getBarCode() {
        return barCode;
    }

    public MtbAart setBarCode(String barCode) {
        this.barCode = barCode;
        return this;
    }

    public BigDecimal getPesoKg() {
        return pesoKg;
    }

    public MtbAart setPesoKg(BigDecimal pesoKg) {
        this.pesoKg = pesoKg;
        return this;
    }

    public BigDecimal getQtaCnf() {
        return qtaCnf;
    }

    public MtbAart setQtaCnf(BigDecimal qtaCnf) {
        this.qtaCnf = qtaCnf;
        return this;
    }

    public String getCodAliq() {
        return codAliq;
    }

    public MtbAart setCodAliq(String codAliq) {
        this.codAliq = codAliq;
        return this;
    }

    public String getCodScoArt() {
        return codScoArt;
    }

    public MtbAart setCodScoArt(String codScoArt) {
        this.codScoArt = codScoArt;
        return this;
    }

    public String getCodTcolUi() {
        return codTcolUi;
    }

    public MtbAart setCodTcolUi(String codTcolUi) {
        this.codTcolUi = codTcolUi;
        return this;
    }

    public String getCodTcolUl() {
        return codTcolUl;
    }

    public MtbAart setCodTcolUl(String codTcolUl) {
        this.codTcolUl = codTcolUl;
        return this;
    }

    public String getArticoloComposto() {
        return articoloComposto;
    }

    public MtbAart setArticoloComposto(String articoloComposto) {
        this.articoloComposto = articoloComposto;
        return this;
    }

    public String getEsposizioneComp() {
        return esposizioneComp;
    }

    public MtbAart setEsposizioneComp(String esposizioneComp) {
        this.esposizioneComp = esposizioneComp;
        return this;
    }

    public String getDescrizioneEstesa() {
        return descrizioneEstesa;
    }

    public MtbAart setDescrizioneEstesa(String descrizioneEstesa) {
        this.descrizioneEstesa = descrizioneEstesa;
        return this;
    }

    public String getCodUltForn() {
        return codUltForn;
    }

    public MtbAart setCodUltForn(String codUltForn) {
        this.codUltForn = codUltForn;
        return this;
    }

    public String getDataUltCar() {
        return dataUltCar;
    }

    public MtbAart setDataUltCar(String dataUltCar) {
        this.dataUltCar = dataUltCar;
        return this;
    }

    public BigDecimal getValUltCar() {
        return valUltCar;
    }

    public MtbAart setValUltCar(BigDecimal valUltCar) {
        this.valUltCar = valUltCar;
        return this;
    }

    public String getCodUltClie() {
        return codUltClie;
    }

    public MtbAart setCodUltClie(String codUltClie) {
        this.codUltClie = codUltClie;
        return this;
    }

    public String getDataUltScar() {
        return dataUltScar;
    }

    public MtbAart setDataUltScar(String dataUltScar) {
        this.dataUltScar = dataUltScar;
        return this;
    }

    public BigDecimal getValUltScar() {
        return valUltScar;
    }

    public MtbAart setValUltScar(BigDecimal valUltScar) {
        this.valUltScar = valUltScar;
        return this;
    }

    public String getTipoCodice() {
        return tipoCodice;
    }

    public MtbAart setTipoCodice(String tipoCodice) {
        this.tipoCodice = tipoCodice;
        return this;
    }

    public String getNote() {
        return note;
    }

    public MtbAart setNote(String note) {
        this.note = note;
        return this;
    }

    public String getPosizione() {
        return posizione;
    }

    public MtbAart setPosizione(String posizione) {
        this.posizione = posizione;
        return this;
    }

    public BigDecimal getColliPedana() {
        return colliPedana;
    }

    public MtbAart setColliPedana(BigDecimal colliPedana) {
        this.colliPedana = colliPedana;
        return this;
    }

    public String getUntMis2() {
        return untMis2;
    }

    public MtbAart setUntMis2(String untMis2) {
        this.untMis2 = untMis2;
        return this;
    }

    public BigDecimal getRapConv2() {
        return rapConv2;
    }

    public MtbAart setRapConv2(BigDecimal rapConv2) {
        this.rapConv2 = rapConv2;
        return this;
    }

    public String getFlagInclListino() {
        return flagInclListino;
    }

    public MtbAart setFlagInclListino(String flagInclListino) {
        this.flagInclListino = flagInclListino;
        return this;
    }

    public String getUntMis3() {
        return untMis3;
    }

    public MtbAart setUntMis3(String untMis3) {
        this.untMis3 = untMis3;
        return this;
    }

    public BigDecimal getRapConv3() {
        return rapConv3;
    }

    public MtbAart setRapConv3(BigDecimal rapConv3) {
        this.rapConv3 = rapConv3;
        return this;
    }

    public String getCodMartStat() {
        return codMartStat;
    }

    public MtbAart setCodMartStat(String codMartStat) {
        this.codMartStat = codMartStat;
        return this;
    }

    public String getCodMcon() {
        return codMcon;
    }

    public MtbAart setCodMcon(String codMcon) {
        this.codMcon = codMcon;
        return this;
    }

    public String getCodMgrp() {
        return codMgrp;
    }

    public MtbAart setCodMgrp(String codMgrp) {
        this.codMgrp = codMgrp;
        return this;
    }

    public String getCodMsfa() {
        return codMsfa;
    }

    public MtbAart setCodMsfa(String codMsfa) {
        this.codMsfa = codMsfa;
        return this;
    }

    public String getCodMsgr() {
        return codMsgr;
    }

    public MtbAart setCodMsgr(String codMsgr) {
        this.codMsgr = codMsgr;
        return this;
    }

    public String getCodMstp() {
        return codMstp;
    }

    public MtbAart setCodMstp(String codMstp) {
        this.codMstp = codMstp;
        return this;
    }

    public String getCodMtip() {
        return codMtip;
    }

    public MtbAart setCodMtip(String codMtip) {
        this.codMtip = codMtip;
        return this;
    }

    public String getDescrizioneStat() {
        return descrizioneStat;
    }

    public MtbAart setDescrizioneStat(String descrizioneStat) {
        this.descrizioneStat = descrizioneStat;
        return this;
    }

    public String getFlagStato() {
        return flagStato;
    }

    public MtbAart setFlagStato(String flagStato) {
        this.flagStato = flagStato;
        return this;
    }

    public BigDecimal getCambioDiviCar() {
        return cambioDiviCar;
    }

    public MtbAart setCambioDiviCar(BigDecimal cambioDiviCar) {
        this.cambioDiviCar = cambioDiviCar;
        return this;
    }

    public BigDecimal getCambioDiviScar() {
        return cambioDiviScar;
    }

    public MtbAart setCambioDiviScar(BigDecimal cambioDiviScar) {
        this.cambioDiviScar = cambioDiviScar;
        return this;
    }

    public Integer getGgScadPartita() {
        return ggScadPartita;
    }

    public MtbAart setGgScadPartita(Integer ggScadPartita) {
        this.ggScadPartita = ggScadPartita;
        return this;
    }

    public BigDecimal getVolumeMc() {
        return volumeMc;
    }

    public MtbAart setVolumeMc(BigDecimal volumeMc) {
        this.volumeMc = volumeMc;
        return this;
    }

    public String getFlagEsponiPrz() {
        return flagEsponiPrz;
    }

    public MtbAart setFlagEsponiPrz(String flagEsponiPrz) {
        this.flagEsponiPrz = flagEsponiPrz;
        return this;
    }

    public String getDataUltVar() {
        return dataUltVar;
    }

    public MtbAart setDataUltVar(String dataUltVar) {
        this.dataUltVar = dataUltVar;
        return this;
    }

    public BigDecimal getPercSfrido() {
        return percSfrido;
    }

    public MtbAart setPercSfrido(BigDecimal percSfrido) {
        this.percSfrido = percSfrido;
        return this;
    }

    public String getCodBarreImb() {
        return codBarreImb;
    }

    public MtbAart setCodBarreImb(String codBarreImb) {
        this.codBarreImb = codBarreImb;
        return this;
    }

    public String getFlagCalcPrz() {
        return flagCalcPrz;
    }

    public MtbAart setFlagCalcPrz(String flagCalcPrz) {
        this.flagCalcPrz = flagCalcPrz;
        return this;
    }

    public String getEsposizioneCompAcq() {
        return esposizioneCompAcq;
    }

    public MtbAart setEsposizioneCompAcq(String esposizioneCompAcq) {
        this.esposizioneCompAcq = esposizioneCompAcq;
        return this;
    }

    public String getFlagCalcPrzAcq() {
        return flagCalcPrzAcq;
    }

    public MtbAart setFlagCalcPrzAcq(String flagCalcPrzAcq) {
        this.flagCalcPrzAcq = flagCalcPrzAcq;
        return this;
    }

    public String getDiacod() {
        return diacod;
    }

    public MtbAart setDiacod(String diacod) {
        this.diacod = diacod;
        return this;
    }

    public String getPlu() {
        return plu;
    }

    public MtbAart setPlu(String plu) {
        this.plu = plu;
        return this;
    }

    public String getPartIvaProd() {
        return partIvaProd;
    }

    public MtbAart setPartIvaProd(String partIvaProd) {
        this.partIvaProd = partIvaProd;
        return this;
    }

    public String getRagSocProd() {
        return ragSocProd;
    }

    public MtbAart setRagSocProd(String ragSocProd) {
        this.ragSocProd = ragSocProd;
        return this;
    }

    public String getFlagRapConvVariabile() {
        return flagRapConvVariabile;
    }

    public boolean getFlagRapConvVariabileBoolean() {
        return !UtilityString.isNullOrEmpty(flagRapConvVariabile) && flagRapConvVariabile.equalsIgnoreCase("S");
    }

    public MtbAart setFlagRapConvVariabile(String flagRapConvVariabile) {
        this.flagRapConvVariabile = flagRapConvVariabile;
        return this;
    }

    public String getFlagMovArtMag() {
        return flagMovArtMag;
    }

    public MtbAart setFlagMovArtMag(String flagMovArtMag) {
        this.flagMovArtMag = flagMovArtMag;
        return this;
    }

    public String getFlagTracciabilita() {
        return flagTracciabilita;
    }

    public MtbAart setFlagTracciabilita(String flagTracciabilita) {
        this.flagTracciabilita = flagTracciabilita;
        return this;
    }

    public BigDecimal getTaraKg() {
        return taraKg;
    }

    public MtbAart setTaraKg(BigDecimal taraKg) {
        this.taraKg = taraKg;
        return this;
    }

    public BigDecimal getColliStrato() {
        return colliStrato;
    }

    public MtbAart setColliStrato(BigDecimal colliStrato) {
        this.colliStrato = colliStrato;
        return this;
    }

    public String getFlagQtaCnfFissa() {
        return flagQtaCnfFissa;
    }

    public MtbAart setFlagQtaCnfFissa(String flagQtaCnfFissa) {
        this.flagQtaCnfFissa = flagQtaCnfFissa;
        return this;
    }

    public String getFlagColliPedanaFisso() {
        return flagColliPedanaFisso;
    }

    public MtbAart setFlagColliPedanaFisso(String flagColliPedanaFisso) {
        this.flagColliPedanaFisso = flagColliPedanaFisso;
        return this;
    }

    public String getCodCconCosti() {
        return codCconCosti;
    }

    public MtbAart setCodCconCosti(String codCconCosti) {
        this.codCconCosti = codCconCosti;
        return this;
    }

    public String getCodCconRicavi() {
        return codCconRicavi;
    }

    public MtbAart setCodCconRicavi(String codCconRicavi) {
        this.codCconRicavi = codCconRicavi;
        return this;
    }

    public String getCodDgrpArt() {
        return codDgrpArt;
    }

    public MtbAart setCodDgrpArt(String codDgrpArt) {
        this.codDgrpArt = codDgrpArt;
        return this;
    }

    public String getCodDiviCar() {
        return codDiviCar;
    }

    public MtbAart setCodDiviCar(String codDiviCar) {
        this.codDiviCar = codDiviCar;
        return this;
    }

    public String getCodDiviScar() {
        return codDiviScar;
    }

    public MtbAart setCodDiviScar(String codDiviScar) {
        this.codDiviScar = codDiviScar;
        return this;
    }

    public String getCodEcrCat() {
        return codEcrCat;
    }

    public MtbAart setCodEcrCat(String codEcrCat) {
        this.codEcrCat = codEcrCat;
        return this;
    }

    public String getCodEcrMcat() {
        return codEcrMcat;
    }

    public MtbAart setCodEcrMcat(String codEcrMcat) {
        this.codEcrMcat = codEcrMcat;
        return this;
    }

    public String getCodEcrRep() {
        return codEcrRep;
    }

    public MtbAart setCodEcrRep(String codEcrRep) {
        this.codEcrRep = codEcrRep;
        return this;
    }

    public String getCodEcrStipo() {
        return codEcrStipo;
    }

    public MtbAart setCodEcrStipo(String codEcrStipo) {
        this.codEcrStipo = codEcrStipo;
        return this;
    }

    public String getCodEcrTipo() {
        return codEcrTipo;
    }

    public MtbAart setCodEcrTipo(String codEcrTipo) {
        this.codEcrTipo = codEcrTipo;
        return this;
    }

    public String getCodGrpBolla() {
        return codGrpBolla;
    }

    public MtbAart setCodGrpBolla(String codGrpBolla) {
        this.codGrpBolla = codGrpBolla;
        return this;
    }

    public String getIngredienti() {
        return ingredienti;
    }

    public MtbAart setIngredienti(String ingredienti) {
        this.ingredienti = ingredienti;
        return this;
    }

    public String getIdArtEqui() {
        return idArtEqui;
    }

    public MtbAart setIdArtEqui(String idArtEqui) {
        this.idArtEqui = idArtEqui;
        return this;
    }

    public String getDescrCassa() {
        return descrCassa;
    }

    public MtbAart setDescrCassa(String descrCassa) {
        this.descrCassa = descrCassa;
        return this;
    }

    public String getCodNcIntracee() {
        return codNcIntracee;
    }

    public MtbAart setCodNcIntracee(String codNcIntracee) {
        this.codNcIntracee = codNcIntracee;
        return this;
    }

    public String getMarchio() {
        return marchio;
    }

    public MtbAart setMarchio(String marchio) {
        this.marchio = marchio;
        return this;
    }

    public Integer getSezione() {
        return sezione;
    }

    public MtbAart setSezione(Integer sezione) {
        this.sezione = sezione;
        return this;
    }

    public List<MtbUntMis> getMtbUntMis() {
        return mtbUntMis;
    }

    public MtbAart setMtbUntMis(List<MtbUntMis> mtbUntMis) {
        this.mtbUntMis = mtbUntMis;
        return this;
    }

    public UntMisRifPesoEnum getUntMisRifPeso() {
        return untMisRifPeso;
    }

    public MtbAart setUntMisRifPeso(UntMisRifPesoEnum untMisRifPeso) {
        this.untMisRifPeso = untMisRifPeso;
        return this;
    }

    public BigDecimal getQtaEsistente() {
        return qtaEsistente;
    }

    public MtbAart setQtaEsistente(BigDecimal qtaEsistente) {
        this.qtaEsistente = qtaEsistente;
        return this;
    }

    public BigDecimal getQtaImpegnata() {
        return qtaImpegnata;
    }

    public MtbAart setQtaImpegnata(BigDecimal qtaImpegnata) {
        this.qtaImpegnata = qtaImpegnata;
        return this;
    }

    public BigDecimal getNumCnfEsistente() {
        return numCnfEsistente;
    }

    public MtbAart setNumCnfEsistente(BigDecimal numCnfEsistente) {
        this.numCnfEsistente = numCnfEsistente;
        return this;
    }

    public BigDecimal getNumCnfImpegnata() {
        return numCnfImpegnata;
    }

    public MtbAart setNumCnfImpegnata(BigDecimal numCnfImpegnata) {
        this.numCnfImpegnata = numCnfImpegnata;
        return this;
    }
}
